Bug 1125923 - shcov has been deprecated by kcov
Summary: shcov has been deprecated by kcov
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shcov
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 11:02 UTC by Simon Kågström
Modified: 2016-07-19 11:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:59:12 UTC


Attachments (Terms of Use)

Description Simon Kågström 2014-08-01 11:02:59 UTC
I'm the upstream author of both shcov and kcov, and also a Fedora user.

I'm delighted to see that shcov was included in Fedora, however, I've re-implemented the same functionality (and lots more) in my other code-coverage project, kcov.

It would therefore be nice if kcov could be packaged instead, since shcov won't get any more updated. Kcov can be found at

  http://simonkagstrom.github.io/kcov/

and the source code at

  https://github.com/SimonKagstrom/kcov


kcov also collects code coverage for compiled programs and python scripts, apart from shell scripts.

Comment 1 Jaroslav Reznik 2015-03-03 16:10:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:59:12 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.